@media (prefers-color-scheme: light) {
	html {
		background-color: #ccc;
	}
}

@media (prefers-color-scheme: dark) {
	html {
		background-color: #19222c;
	}
}

.d-none {
	display: none;
}

/* .bi::before,
[class*=" bi-"]::before,
[class^=bi-]::before {
	vertical-align: middle !important;
} */

/* .dropdown-item .bi::before,
.dropdown-item [class*=" bi-"]::before,
.dropdown-item [class^=bi-]::before {
	vertical-align: -.125em !important;
}

.sidebar-link .bi::before {
	vertical-align: -5px !important;
} */

.sidebar-link i,
.sidebar-link svg,
a.sidebar-link i,
a.sidebar-link svg {
	font-size: 16px;
}

.chanel_avatar img {
	width: 100px;
	border-radius: 50% !important;
}

.post_image img {
	width: 100px;
	border-radius: 4px !important;
}

@media(max-width:768px) {

	.chanel_avatar img {
		width: 75px;
	}

	.post_image img {
		width: 75px;
	}
}

.help {
	cursor: help;
}

.navbar .avatar {
	border-radius: 50% !important;
}

@media(max-width:1440px) {

	.list-group-item {
		font-size: 12px;
	}
}

.cursor_pointer {
	cursor: pointer;
}

.modal-open .modal-backdrop {
	backdrop-filter: blur(5px);
	background-color: rgba(0, 0, 0, 0.5);
	opacity: 1 !important;
}

.offcanvas-backdrop {
	backdrop-filter: blur(5px) !important;
	background-color: rgba(0, 0, 0, 0.5) !important;
	opacity: 1 !important;
}

.form-control {
	padding: .5rem .85rem !important;
}

.form-select {
	padding: .5rem .85rem !important;
}

.form-control[type=file] {
	padding: .3rem .85rem !important;
}

.btn {
	--bs-btn-padding-x: 0.95rem !important;
	--bs-btn-padding-y: 0.4rem !important;
}

.card-actions .btn {
	color: #fff !important;
}

.alert-message a {
	text-decoration: underline;
}

.card-img, .card-img-top {
	border-radius: 0 !important;
}

.telegram-images img {
	height: 45%;
	object-fit: cover;
}

@media(max-width:768px) {

	.telegram-images img{
		height: 43%;
	}
}

.fancybox__container {
	z-index: 9050 !important;
}

.dark-theme.fr-toolbar {
	background: #19222c !important;
	border-radius: 4px 4px 0 0 !important;
	border-color: #4e5863 !important;
}

.dark-theme .fr-second-toolbar {
	background: #19222c !important;
	border-radius: 0 0 4px 4px !important;
	border-color: #4e5863 !important;
}

.dark-theme .fr-wrapper, .dark-theme .fr-markdown-editor {
	background: #19222c !important;
	color: #fff;
}

.dark-theme .gutter-horizontal {
	background: #222e3c !important;
}

.royal-themee.fr-toolbar {
	border-radius: 4px 4px 0 0 !important;
}

.royal-theme .fr-second-toolbar {
	border-radius: 0 0 4px 4px !important;
}

.fr-element a {
	text-decoration: underline;
	color: #3b7ddd;
}

.fr-element code {
	background-color: var(--bs-light);
	padding: 5px;
	border-radius: 5px;
	color: #4e7391;
}

.fr-element tg-spoiler {
	color: transparent;
	text-shadow: 0 0 5px var(--bs-emphasis-color);
}

#linkStyle-1 {
	display: none;
}

.item_row:nth-child(odd) > .card {
	background-color: rgba(var(--bs-light-rgb)) !important;
}

.item_row .list-group-item {
	background-color: transparent !important;
}

.item_row .card-footer {
	background-color: transparent !important;
}

.badge {
	padding-top: 0.4em !important;
	padding-bottom: 0.21em !important;
	padding-left: 5px !important;
	padding-right: 5px !important;
}

.sidebar-badge {
	padding: 0.3em !important;
}

.chart {
	width: 100%;
	height: 500px;
}

.modal-body::-webkit-scrollbar {
	width: 5px;
	height: 8px;
}

.modal-body::-webkit-scrollbar-track {
	border-radius: 10px;
	background-color: #e4e4e4;
}

.modal-body::-webkit-scrollbar-thumb {
	background: #979797;
	border-radius: 10px;
	transition: 0.5s;
}

.modal-body::-webkit-scrollbar-thumb:hover {
	background: #3b7ddd;
	transition: 0.5s;
}

.genealogy-scroll::-webkit-scrollbar {
	width: 5px;
	height: 8px;
}

.genealogy-scroll::-webkit-scrollbar-track {
	border-radius: 10px;
	background-color: #e4e4e4;
}

.genealogy-scroll::-webkit-scrollbar-thumb {
	background: #979797;
	border-radius: 10px;
	transition: 0.5s;
}

.genealogy-scroll::-webkit-scrollbar-thumb:hover {
	background: #3b7ddd;
	transition: 0.5s;
}

.genealogy-body {
	white-space: nowrap;
	overflow-y: hidden;
	padding: 10px;
	min-height: fit-content;
}

.genealogy-tree ul {
	padding-top: 20px;
	position: relative;
	padding-left: 0px;
	display: flex;
}

.genealogy-tree li {
	float: left;
	text-align: center;
	list-style-type: none;
	position: relative;
	padding: 20px 5px 0 5px;
}

.genealogy-tree li::before,
.genealogy-tree li::after {
	content: '';
	position: absolute;
	top: 0;
	right: 50%;
	border-top: 2px solid #ccc;
	width: 50%;
	height: 18px;
}

.genealogy-tree li::after {
	right: auto;
	left: 50%;
	border-left: 2px solid #ccc;
}

.genealogy-tree li:only-child::after,
.genealogy-tree li:only-child::before {
	display: none;
}

.genealogy-tree li:only-child {
	padding-top: 0;
}

.genealogy-tree li:first-child::before,
.genealogy-tree li:last-child::after {
	border: 0 none;
}

.genealogy-tree li:last-child::before {
	border-right: 2px solid #ccc;
	border-radius: 0 5px 0 0;
	-webkit-border-radius: 0 5px 0 0;
	-moz-border-radius: 0 5px 0 0;
}

.genealogy-tree li:first-child::after {
	border-radius: 5px 0 0 0;
	-webkit-border-radius: 5px 0 0 0;
	-moz-border-radius: 5px 0 0 0;
}

.genealogy-tree ul ul::before {
	content: '';
	position: absolute;
	top: 0;
	left: 50%;
	border-left: 2px solid #ccc;
	width: 0;
	height: 20px;
}

.genealogy-tree li a.partner-link {
	text-decoration: none;
	display: inline-block;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
}

.genealogy-tree li a.partner-link:hover+ul li::after,
.genealogy-tree li a.partner-link:hover+ul li::before,
.genealogy-tree li a.partner-link:hover+ul::before,
.genealogy-tree li a.partner-link:hover+ul ul::before {
	border-color: #3b7ddd;
}

.partner-view-box {
	padding: 10px 10px 7px 10px;
	text-align: center;
	border-radius: 4px;
	position: relative;
	max-width: 220px !important;
}

.partner-image {
	width: 200px;
	position: relative;
}

.partner-image img {
	width: 200px;
	height: 200px;
	border-radius: 6px;
	background-color: #000;
	z-index: 1;
	margin-bottom: 5px;
}

.btn-check:checked+.btn span.text-primary {
	color: #fff !important;
}

.btn-check:checked+.btn span.text-muted {
	color: #fff !important;
}

@media(max-width:768px) {
	.discounts .btn {
		font-size: 10px !important;
	}
}

.chat-messages::-webkit-scrollbar {
	width: 5px;
	height: 8px;
}

.chat-messages::-webkit-scrollbar-track {
	border-radius: 10px;
	background-color: #e4e4e4;
}

.chat-messages::-webkit-scrollbar-thumb {
	background: #979797;
	border-radius: 10px;
	transition: 0.5s;
}

.chat-messages::-webkit-scrollbar-thumb:hover {
	background: #3b7ddd;
	transition: 0.5s;
}

.chat-messages {
	max-height: 600px !important;
}

@media(max-width:1400px) {
	.channel_description {
		display: none;
	}
}

.list-group .list-group-item {
	background-color: transparent !important;
}

#search {
	border-radius: 0.25rem;
	border-bottom-right-radius: 0 !important;
	border-top-right-radius: 0 !important;
}

.btn_search {
	border-radius: 0.25rem !important;
	border-bottom-left-radius: 0 !important;
	border-top-left-radius: 0 !important;
}

.btn_search i {
	font-size: 18px;
}

.btn_search {
	background-color: var(--bs-btn-bg) !important;
	color: #fff !important;
	margin-left: 0 !important;
}

.iphone {
	display: block;
	color: #fff;
	font-family: "SF Pro Display", Helvetica Neue, Arial, sans-serif;
	letter-spacing: -0.022em;
	font-size: 2.5vmin;
	background-image: #000;
	background-size: cover;
	background-repeat: no-repeat, no-repeat;
	border: solid #111 !important;
	position: relative;
	box-shadow: 0 0.5em 2em 0.2em rgba(0, 0, 0, 0.33), 0 0 0 0.5px #000 inset;
	transition: all 0.1s linear, line-height 0s linear;
	background-position: 50% 100%, center;
	transform-origin: bottom center;
}

.iphone {
	border-width: 1.5207920792vmin !important;
	border-radius: 4.0550130098vmin !important;
	background-image: url(/assets/img/tg_bg.jpg) !important;
	z-index: 200;
}

.iphone .btn-close {
	position: absolute;
	top: -20px;
	right: -20px;
	border-radius: 50%;
	padding: 5px;
	background: transparent var(--bs-btn-close-bg) center / 16px auto no-repeat;
	background-color: #19222c;
	border: 1px solid #222e3c;
	width: 25px;
	height: 25px;
	opacity: 1;
}

.iphone .btn-close:hover {
	background-color: #222e3c;
}

.tg-message {
	border-radius: 5px;
	background-color: #fff;
	color: #000;
	margin: 15px;
	padding: 15px;
	font-size: 14px;
	margin-bottom: 0;
}

.tg-buttons {
	margin-top: -15px;
	padding: 15px;
}

.tg-buttons .btn {
	color: #fff;
	font-weight: bold;
	background-color: rgba(155, 192, 143, .3);
	border: none;
	border-radius: 4px 4px 14px 14px;
	width: 100%;
}

@media (max-width: 768px) {
	#modal_post {
		padding: 15px;
	}
}

.card.privileges {
	-webkit-box-shadow: -2px 4px 20px 3px rgba(252, 185, 44, 0.1);
	-moz-box-shadow: -2px 4px 20px 3px rgba(252, 185, 44, 0.1);
	box-shadow: -2px 4px 20px 3px rgba(252, 185, 44, 0.1);
	border: 1px outset #FCB92C;
}

.badge_privileges {
	padding: 0.5em 1em;
	font-size: 0.875em;
	font-weight: bold;
	color: white;
	background-color: #ff4757;
	/* Красный цвет для привлечения внимания */
	border-radius: 0.25rem;
	animation: blink 1s infinite;
	/* Анимация мигания */
}

@keyframes blink {

	0%,
	50%,
	100% {
		opacity: 1;
		/* Полная видимость */
	}

	25%,
	75% {
		opacity: 0.7;
		/* Почти невидимый */
	}
}

@keyframes ring {
	0%, 100% { transform: rotate(0deg); }
	10%, 30% { transform: rotate(-15deg); }
	20%, 40% { transform: rotate(15deg); }
}

@keyframes ring-loop {
	0%, 65% { transform: rotate(0deg); }
	70%, 72%, 74%, 76%, 78% { transform: rotate(-15deg); }
	71%, 73%, 75%, 77%, 79% { transform: rotate(15deg); }
	80%, 100% { transform: rotate(0deg); }
}

.ring {
	display: inline-block;
	animation: ring-loop 5s infinite;
}

.menu-level-1 {
	padding-left: 25px;
}

.menu-level-1 .sidebar-link {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
	font-style: italic;
}

/* По умолчанию скрываем все элементы menu-level-1 */
.sidebar-item.menu-level-1 {
	display: none;
}

/* Показываем menu-level-1, если перед ним есть активный menu-level-0 */
.sidebar-item.menu-level-0.active + .sidebar-item.menu-level-1 {
	display: block;
}

/* Показываем menu-level-1, если он сам активен */
.sidebar-item.menu-level-1.active {
	display: block;
}

/* Если menu-level-1 активен, показываем его родительский menu-level-0 */
.sidebar-item.menu-level-1.active {
	display: block;
}

/* Показываем menu-level-0, если после него есть активный menu-level-1 */
.sidebar-item.menu-level-0:has(+ .sidebar-item.menu-level-1.active) {
	display: block;
}

.accordion .accordion-body a {
	text-decoration: underline;
}

.btn-group>.btn-group:not(:first-child),
.btn-group>:not(.btn-check:first-child)+.btn {
	margin-left: 0px !important;
	border-radius: var(--bs-border-radius-sm) !important;
}